- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/Cgl-0.52.0/CoinUtils/src/CoinSmartPtr.hpp File Reference

`#include <list>`
`#include <cassert>`

Include dependency graph for CoinSmartPtr.hpp:

Go to the source code of this file.

## Namespaces
namespace | Coin
## Classes
class | Coin::ReferencedObject
| ReferencedObject class. More...
class | Coin::SmartPtr< T >
| Template class for Smart Pointers. More...
## SmartPtr friends that are overloaded operators, so they are not in
the Coin namespace.
template<class U1, class U2>
bool | operator== (const Coin::SmartPtr< U1 > &lhs, const Coin::SmartPtr< U2 > &rhs)
template<class U1, class U2>
bool | operator== (const Coin::SmartPtr< U1 > &lhs, U2 *raw_rhs)
template<class U1, class U2>
bool | operator== (U1 *raw_lhs, const Coin::SmartPtr< U2 > &rhs)
template<class U1, class U2>
bool | operator!= (const Coin::SmartPtr< U1 > &lhs, const Coin::SmartPtr< U2 > &rhs)
template<class U1, class U2>
bool | operator!= (const Coin::SmartPtr< U1 > &lhs, U2 *raw_rhs)
template<class U1, class U2>
bool | operator!= (U1 *raw_lhs, const Coin::SmartPtr< U2 > &rhs)
## Defines
#define | dbg_smartptr_verbosity 0
#define | CoinReferencedObject Coin::ReferencedObject
#define | CoinSmartPtr Coin::SmartPtr
#define | CoinComparePointers Coin::ComparePointers
## Functions
template<class U1, class U2>
bool | Coin::ComparePointers (const U1 *lhs, const U2 *rhs)

## Define Documentation

#define dbg_smartptr_verbosity 0

Definition at line 377 of file CoinSmartPtr.hpp.

#define CoinReferencedObject Coin::ReferencedObject

Definition at line 522 of file CoinSmartPtr.hpp.

#define CoinSmartPtr Coin::SmartPtr

Definition at line 523 of file CoinSmartPtr.hpp.

#define CoinComparePointers Coin::ComparePointers

Definition at line 524 of file CoinSmartPtr.hpp.

## Function Documentation

template<class U1, class U2>

bool operator== | ( | const Coin::SmartPtr< U1 > & | lhs,
|  | const Coin::SmartPtr< U2 > & | rhs |
| ) |  |  |

Definition at line 492 of file CoinSmartPtr.hpp.

References Coin::ComparePointers(), and Coin::SmartPtr< T >::GetRawPtr().

Referenced by operator!=().

template<class U1, class U2>

bool operator== | ( | const Coin::SmartPtr< U1 > & | lhs,
|  | U2 * | raw_rhs |
| ) |  |  |

Definition at line 497 of file CoinSmartPtr.hpp.

References Coin::ComparePointers(), and Coin::SmartPtr< T >::GetRawPtr().

template<class U1, class U2>

bool operator== | ( | U1 * | raw_lhs,
|  | const Coin::SmartPtr< U2 > & | rhs |
| ) |  |  |

Definition at line 502 of file CoinSmartPtr.hpp.

References Coin::ComparePointers(), and Coin::SmartPtr< T >::GetRawPtr().

template<class U1, class U2>

bool operator!= | ( | const Coin::SmartPtr< U1 > & | lhs,
|  | const Coin::SmartPtr< U2 > & | rhs |
| ) |  |  |

Definition at line 507 of file CoinSmartPtr.hpp.

References operator==().

template<class U1, class U2>

bool operator!= | ( | const Coin::SmartPtr< U1 > & | lhs,
|  | U2 * | raw_rhs |
| ) |  |  |

Definition at line 512 of file CoinSmartPtr.hpp.

References operator==().

template<class U1, class U2>

bool operator!= | ( | U1 * | raw_lhs,
|  | const Coin::SmartPtr< U2 > & | rhs |
| ) |  |  |

Definition at line 517 of file CoinSmartPtr.hpp.

References operator==().